%define	name	ufo
%define	version	0.10
%define	release	%mkrel 4
%define	Summary	UFO: Alien Invasion

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://ufo.myexp.de/
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
License:	GPL
Group:		Games/Strategy
Summary:	%{Summary}
BuildRequires:	MesaGLU-devel
BuildRequires:	XFree86-devel
BuildRequires:	libvorbis-devel
BuildRequires:	jpeg-devel
Requires:	%{name}-data = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
UFO: ALIEN INVASION is a strategy game featuring tactical combat against
hostile alien forces which are about to infiltrate earth at this very
moment. You are in command of a small special unit which has been
founded to face the alien strike force. To be successful on the long
run, you will also have to have a research team study the aliens and
their technologies in order to learn as much as possible about their
technology, their goals and the aliens themselves. 'UFO: Alien Invasion'
is heavily inspired by the 'X-COM' series by Mythos and Microprose.

This package is in PLF because of the license of its data.

%prep
%setup -q -n source

%build
cd linux
%make build_release RELEASE_CFLAGS="-Dstricmp=strcasecmp $RPM_OPT_FLAGS -O3 -ffast-math -funroll-loops -fexpensive-optimizations" build_release

%install
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_libdir}/%{name}
%{__cp} linux/release*/*.so %{buildroot}%{_libdir}/%{name}/
install -m755 linux/release*/ufo -D %{buildroot}%{_gamesbindir}/ufo.bin

%{__cat} <<EOF > %{buildroot}%{_gamesbindir}/%{name}
#!/bin/sh
if [ ! -d ~/.%{name} ]; then
	mkdir -p ~/.%{name}/base/save
	ln -s %{_gamesdatadir}/%{name}/base/{maps,models,music,pics,sound,textures,ufos} ~/.%{name}/base/
	ln -s %{_libdir}/%{name}/ref*.so ~/.%{name}/
	ln -s %{_libdir}/%{name}/game*.so ~/.%{name}/base/
	cp %{_gamesdatadir}/%{name}/base/*.cfg ~/.%{name}/base/
fi
cd ~/.%{name}
soundwrapper %{_gamesbindir}/%{name}.bin $@
EOF
chmod +x %{buildroot}%{_gamesbindir}/%{name}

%{__install} -d %{buildroot}%{_menudir}
%{__cat} <<EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="Amusement/Arcade" \
		title="UFO"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/%{name}
%{_gamesbindir}/%{name}*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Fri Jan 27 2006 Guillaume Rousse <guillomovitch@zarb.org> 0.10-4plf
- %%mkrel 
- spec cleanup

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-3plf
- fix macros 
- PLF reason

* Tue Sep 28 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.10-2plf
- moved to plf, as it is useless without its data

* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.10-2mdk
- buildrequires

* Fri Feb 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.10-1mdk
- initial mdk release
